petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectGetClassName

Gets the class name for any PetscObject

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetClassName(PetscObject obj, const char *classname[])

Not Collective Many br

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Many brThus must be cast with a (PetscObject), for example, Many brPetscObjectGetClassName((PetscObject)mat,&classname); Many br

### Output Parameter

classname -the class name Many br

Many br

Level:developer
Location:src/sys/objects/gcookie.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages